use strict;
use warnings;
use Test::More;
use lib './t/lib';
use PScm::Test tests => 5;

BEGIN { use_ok('PScm') }

eval_ok(<<'EOT', <<'EOR', 'simple unify');
(unify '(a b c) '(a b d))
EOT
Error: no more solutions
EOR

eval_ok(<<'EOT', <<'EOR', 'simple unify 2');
(unify '(a b c) '(a b c))
EOT
PScm::Env
EOR

eval_ok(<<'EOT', <<'EOR', 'unify and substitute');
(substitute
    '((a A) (b B))
    (unify '(f (g A) A)
           '(f B abc)))
EOT
((a abc) (b (g abc)))
EOR

eval_ok(<<'EOT', <<'EOR', 'instantiate');
(instantiate '((f (g A) A) (f B abc)))
EOT
((f (g 0) 0) (f 1 abc))
EOR

# vim: ft=perl
